export class MockBranch extends Branch {
    maybeEntry(name: any): Promise<any>;
    entry(name: any): Promise<any>;
    entries(patterns?: string): AsyncGenerator<any, void, unknown>;
    get files(): any;
}
export class MockRepository extends Repository {
    get files(): any;
    initializeBranches(): Promise<void>;
}
export class MockFileSystemBranch extends Branch {
    entry(name: any): Promise<any>;
    entry(name: any): Promise<any>;
    maybeEntry(name: any): Promise<any>;
    entries(matchingPatterns?: string[]): AsyncGenerator<any, void, unknown>;
    get files(): any;
}
export class MockFileSystemRepository extends Repository {
    initializeBranches(): Promise<Branch>;
}
/**
 * @param {Object} files
 */
export class MockProvider extends MultiGroupProvider {
    static get attributes(): {
        repositoryName: {
            default: string;
        };
        delay: {
            type: string;
            default: number;
        };
        repositoryBases: {
            default: string[];
        };
        name: {
            env: string;
            type: string;
            isKey: boolean;
            writable: boolean;
            mandatory: boolean;
            private?: boolean;
            depends?: string;
            additionalAttributes: string[];
            description?: string;
            default?: any;
            set?: Function;
            get?: Function;
        };
        url: import("pacc").AttributeDefinition;
        description: import("pacc").AttributeDefinition;
        priority: import("pacc").AttributeDefinition;
        messageDestination: {
            type: string;
            default: Console;
            writable: boolean;
            private: boolean;
            isKey: boolean;
            mandatory: boolean;
            depends?: string;
            additionalAttributes: string[];
            description?: string;
            set?: Function;
            get?: Function;
            env?: string | string[];
        };
    };
    constructor(files: any, options: any);
    waitDelay(delay?: any): Promise<any>;
    /**
     * @return {string} 'http://mock-provider.com'
     */
    get url(): string;
    get branchClass(): typeof MockBranch | typeof MockFileSystemBranch;
    get repositoryClass(): typeof MockRepository | typeof MockFileSystemRepository;
    initializeRepositories(): Promise<void>;
    repository(name: any): Promise<Repository>;
    branch(name: any): Promise<Branch>;
}
export default MockProvider;
import { Branch } from "repository-provider";
import { Repository } from "repository-provider";
import { MultiGroupProvider } from "repository-provider";
